Subject: Re: bug#30457: 26.0.91; bidi-display-reordering makes navigation around melpa/archive-contents slow

From: Eli Zaretskii <[email-masked]>
Date: Wed, 14 Feb 2018 21:51:22 +0200

> From: Aaron Jensen <[email-masked]>
> Date: Wed, 14 Feb 2018 11:22:37 -0800
> Cc: [email-masked]
> 
> > (However, it's nowhere near 13 sec on my box.
> 
> Are you on a mac?

No, Windows.

> Is there a way to check to see if I was compiled w/ optimizations?

What is your value of system-configuration-options?

> > And going several lines
> > in one go, as in "C-u 20 C-n", makes it even faster.)
> 
> Sure, but everything has a latency and these sort of workaround don't
> really solve the overall feel problem. It feels like I'm working over
> ssh to a server in another country and the difference when bidi is
> disabled is incredible.

Only at the beginning of the file.  Try the same near the end, and you
will see that both are very slow: a single C-n or C-p takes about 2
sec with bidi-display-reordering at nil, and 4 to 5 sec with non-nil.
Not a very spectacular speedup.

> > Beware: the code which is used when bidi-display-reordering is nil is
> > unsupported since Emacs 24, so you are on your own when using it.  I
> > urge you to reconsider.
> 
> I didn't know this, I'm not sure what it means in practice.

It means that we kept the non-reordering code for testing purposes
only, so it is very rarely executed, and thus less reliable than the
rest of Emacs.

> Perhaps I'll turn it back to t for now and just have that in my bag
> of tricks if I encounter a file that has this problem.

Yes, that's what I recommend.